package com.liquidnet.common.third.zxlnft.dto.wallet;

import lombok.Data;

import java.io.Serializable;

/**
 * @author AnJiabin <anjiabin@zhengzai.tv>
 * @version V1.0
 * @Description: TODO
 * @class: CreateMnemonicReq
 * @Package com.liquidnet.common.third.zxlnft.bean.wallet
 * @Copyright: LightNet @ Copyright (c) 2021
 * @date 2022/2/17 16:31
 */
@Data
public class CreateMnemonicReq implements Serializable {
    private static final long serialVersionUID = 2913114258201600867L;
    private static final CreateMnemonicReq obj = new CreateMnemonicReq();

    public static CreateMnemonicReq getNew() {
        try {
            return (CreateMnemonicReq) obj.clone();
        } catch (CloneNotSupportedException e) {
            return new CreateMnemonicReq();
        }
    }
}
